import sys
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

appDefinitionFile            = sys.argv[1]
if len(sys.argv) > 2:
   appDefinitionResponseFile = sys.argv[2]
   if appDefinitionResponseFile == '-':
      appDefinitionResponseFile = sys.stdout
else:
   appDefinitionResponseFile = None

with open(appDefinitionFile,'r') as fpDefinition:
   appDefinition = json.load(fpDefinition)

try:
   appDefinitionResponse = tapisAPI.apps.add(body=appDefinition)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if   appDefinitionResponseFile == sys.stdout:
      json.dump(appDefinitionResponse,sys.stdout,
                default=TapisAPI.encodeDatetimeToJson,
                indent=3,separators=(',',':'))
      sys.stdout.write("\n")
   elif appDefinitionResponseFile:
      with open(appDefinitionResponseFile,'w') as fpResponse:
         json.dump(appDefinitionResponse,fpResponse,
                   default=TapisAPI.encodeDatetimeToJson,
                   indent=3,separators=(',',':'))
         fpResponse.write("\n")

sys.exit(exitStatus)
