#!/bin/sh
#
if [ $# -lt 1 ] ; then
   echo "usage: $0 appDefinitionFile [appDefinitionResponseFile]"
   exit 64
fi

binDirectory=$(dirname $(readlink -f $0))

if [ -f $1 ] ; then
   appDefinitionFile=$1
   if [ $# -gt 1 ] ; then
      appDefinitionResponseFile=$2
   else
      appDefinitionResponseFile=
   fi
else
   if [ -f ${binDirectory}/AppDefinitions/$1.json ] ; then
      appDefinitionFile=${binDirectory}/AppDefinitions/$1.json
      if [ $# -gt 1 ] ; then
         appDefinitionResponseFile=$2
      else
         appDefinitionResponseFile=${binDirectory}/AppDefinitions/$1_response.json
      fi
   else
      echo "app definition file $1 can not be located"
   fi
fi

python3 ${binDirectory}/addApp.py ${appDefinitionFile} ${appDefinitionResponseFile}
exitStatus=$?

exit ${exitStatus}
