#!/bin/sh
#
if [ $# -lt 1 ] ; then
   echo "usage: $0 systemDefinitionFile [systemDefinitionResponseFile]"
   exit 64
fi

binDirectory=$(dirname $(readlink -f $0))

if [ -f $1 ] ; then
   systemDefinitionFile=$1
   if [ $# -gt 1 ] ; then
      systemDefinitionResponseFile=$2
   else
      systemDefinitionResponseFile=
   fi
else
   if [ -f ${binDirectory}/SystemDefinitions/$1.json ] ; then
      systemDefinitionFile=${binDirectory}/SystemDefinitions/$1.json
      if [ $# -gt 1 ] ; then
         systemDefinitionResponseFile=$2
      else
         systemDefinitionResponseFile=${binDirectory}/SystemDefinitions/$1_response.json
      fi
   else
      echo "system definition file $1 can not be located"
   fi
fi

python3 ${binDirectory}/addSystem.py ${systemDefinitionFile} ${systemDefinitionResponseFile}
exitStatus=$?

exit ${exitStatus}
