import sys
import os

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

systemId = sys.argv[1]
filePath = sys.argv[2]

fileURI = 'agave://' + systemId + '/' + filePath
localFile = os.path.basename(filePath)

try:
   downloadFileResponse = tapisAPI.download_uri(uri=fileURI,local_path=localFile)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   if err.response.status_code == 404:
      sys.stderr.write("File: %s\nnot found on %s\n" % (filePath,systemId))
   else:
      sys.stderr.write(str(err))
      sys.stderr.write("\n")

   try:
      os.remove(localFile)
   except:
      pass

sys.exit(exitStatus)
