import sys
import os

from TapisAPI import TapisAPI

MAXDOWNLOADFAILURES = 4

def downloadFile(uri,
                 localPath):
   success = False
   nFail = 0
   while not success and nFail < MAXDOWNLOADFAILURES:
      try:
         response = tapisAPI.download_uri(uri=uri,local_path=localPath)
         success = True
      except:
         nFail += 1

   return success


exitStatus = 0

tapisAPI = TapisAPI()

jobId              = sys.argv[1]
jobOutputDirectory = sys.argv[2]

jobOutputs = tapisAPI.getJobOutputFilesList(jobId)
#print(jobOutputs)
if jobOutputs:
   if not os.path.isdir(jobOutputDirectory):
      os.makedirs(jobOutputDirectory)

   for jobOutput in jobOutputs:
      outputType = jobOutput['type']
      outputPath = jobOutput['path'].lstrip('/')
      outputURI  = jobOutput['_links']['self']['href']
      if outputType == 'file':
         if outputPath.startswith('.__time_') or \
            outputPath.startswith('.__timestamp_'):
            success = downloadFile(outputURI,os.path.join(jobOutputDirectory,outputPath))
            if not success:
               exitStatus = 1
               sys.stderr.write("Download of %s failed.\n" % (outputPath))

sys.exit(exitStatus)
