#!/bin/sh

if [ $# -ne 2 ] ; then
   echo usage: $0 instanceToken jobOutputDirectory
   exit 64
fi

instanceToken=$1
jobOutputDirectory=$2

binDirectory=$(dirname $(readlink -f $0))

cd ${jobOutputDirectory}
exitStatus=$?

if [ ${exitStatus} -eq 0 ] ; then
   remoteJobId=$(${binDirectory}/getUserRemoteJobId.sh ${instanceToken})
   exitStatus=$?

   if [ ${exitStatus} -eq 0 ] ; then
      python3 ${binDirectory}/downloadJobOutputFile.py ${remoteJobId} .simtool/jobMetrics.tar.gz
      exitStatus=$?
   fi
fi

exit ${exitStatus}
