import sys
import os

from TapisAPI import TapisAPI

MAXDOWNLOADFAILURES = 4

def downloadFile(uri,
                 localPath):
   success = False
   nFail = 0
   while not success and nFail < MAXDOWNLOADFAILURES:
      try:
         response = tapisAPI.download_uri(uri=uri,local_path=localPath)
         success = True
      except:
         nFail += 1

   return success


exitStatus = 0

tapisAPI = TapisAPI()

jobId         = sys.argv[1]
jobOutputFile = sys.argv[2]

jobOutputs = tapisAPI.getJobOutputFilesList(jobId)
#print(jobOutputs)
if jobOutputs:
   for jobOutput in jobOutputs:
      outputType = jobOutput['type']
      outputPath = jobOutput['path'].lstrip('/')
      outputURI  = jobOutput['_links']['self']['href']
#     print(outputPath,outputType,outputURI)
      if outputType == 'file':
         if outputPath == jobOutputFile:
            success = downloadFile(outputURI,os.path.basename(outputPath))
            if not success:
               exitStatus = 1
               sys.stderr.write("Download of %s failed.\n" % (outputPath))
            break

sys.exit(exitStatus)
