#!/bin/sh

if [ $# -ne 2 ] ; then
   echo usage: $0 instanceToken jobOutputFile
   exit 64
fi

instanceToken=$1
jobOutputFile=$2

binDirectory=$(dirname $(readlink -f $0))

remoteJobId=$(${binDirectory}/getUserRemoteJobId.sh ${instanceToken})
exitStatus=$?

if [ ${exitStatus} -eq 0 ] ; then
   python3 ${binDirectory}/downloadJobOutputFile.py ${remoteJobId} ${jobOutputFile}
   exitStatus=$?
fi

exit ${exitStatus}
