import sys
import os

from TapisAPI import TapisAPI

MAXDOWNLOADFAILURES = 4

def downloadFile(uri,
                 localPath):
   success = False
   nFail = 0
   while not success and nFail < MAXDOWNLOADFAILURES:
      try:
         response = tapisAPI.download_uri(uri=uri,local_path=localPath)
         success = True
      except:
         nFail += 1

   return success


exitStatus = 0

tapisAPI = TapisAPI()

jobId              = sys.argv[1]
jobOutputDirectory = sys.argv[2]

jobOutputs = tapisAPI.getJobOutputFilesList(jobId)
#print(jobOutputs)
if jobOutputs:
   if not os.path.isdir(jobOutputDirectory):
      os.makedirs(jobOutputDirectory)

   filesToIgnore = []
   for jobOutput in jobOutputs:
      outputType = jobOutput['type']
      outputName = jobOutput['name']
      if outputType == 'file' and outputName == '.agave.archive':
         outputURI  = jobOutput['_links']['self']['href']
         success = downloadFile(outputURI,os.path.join(".",outputName))
         if success:
            fpFilesToIgnore = open(outputName,'r')
            filesToIgnore = fpFilesToIgnore.readlines()
            fpFilesToIgnore.close()
         else:
            exitStatus = 1
            sys.stderr.write("Download of %s failed.\n" % (outputPath))

         try:
            os.remove(outputName)
         except:
            pass

         filesToIgnore = [ fileToIgnore.strip() for fileToIgnore in filesToIgnore ]
         break

#  print("Files To Ignore")
#  print(filesToIgnore)

   if exitStatus == 0:
      for jobOutput in jobOutputs:
         outputType = jobOutput['type']
         outputPath = jobOutput['path'].lstrip('/')
         outputURI  = jobOutput['_links']['self']['href']
         if not outputPath in filesToIgnore:
#           print(outputPath,outputType)
            if   outputType == 'file':
               success = downloadFile(outputURI,os.path.join(jobOutputDirectory,outputPath))
               if not success:
                  exitStatus = 1
                  sys.stderr.write("Download of %s failed.\n" % (outputPath))
            elif outputType == 'dir':
               os.makedirs(os.path.join(jobOutputDirectory,outputPath))

sys.exit(exitStatus)
