#!/bin/sh

if [ $# -ne 2 ] ; then
   echo usage: $0 instanceToken jobOutputDirectory
   exit 64
fi

instanceToken=$1
jobOutputDirectory=$2

binDirectory=$(dirname $(readlink -f $0))

remoteJobId=$(${binDirectory}/getUserRemoteJobId.sh ${instanceToken})
exitStatus=$?

if [ ${exitStatus} -eq 0 ] ; then
   python3 ${binDirectory}/downloadJobOutputs.py ${remoteJobId} ${jobOutputDirectory}
   exitStatus=$?
fi

exit ${exitStatus}
