import sys
import os
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

appId                        = sys.argv[1]
if len(sys.argv) > 2:
   appDefinitionResponseFile = sys.argv[2]
   if appDefinitionResponseFile == '-':
      appDefinitionResponseFile = sys.stdout
else:
   appDefinitionResponseFile = None

try:
   appDefinition = tapisAPI.apps.get(appId=appId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if   appDefinitionResponseFile == sys.stdout:
      json.dump(appDefinition,sys.stdout,
                default=TapisAPI.encodeDatetimeToJson,
                indent=3,separators=(',',':'))
      sys.stdout.write("\n")
   elif appDefinitionResponseFile:
      with open(appDefinitionResponseFile,'w') as fpResponse:
         json.dump(appDefinition,fpResponse,
                   default=TapisAPI.encodeDatetimeToJson,
                   indent=3,separators=(',',':'))
         fpResponse.write("\n")

sys.exit(exitStatus)
