import sys
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

jobId             = sys.argv[1]
if len(sys.argv) > 2:
   jobHistoryFile = sys.argv[2]
   if jobHistoryFile == '-':
      jobHistoryFile = sys.stdout
else:
   jobHistoryFile = None

try:
   jobHistory = tapisAPI.jobs.getHistory(jobId=jobId,limit=250,offset=0)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if   jobHistoryFile == sys.stdout:
      json.dump(jobHistory,sys.stdout,
                default=TapisAPI.encodeDatetimeToJson,
                indent=3,separators=(',',':'))
      sys.stdout.write("\n")
   elif jobHistoryFile:
      with open(jobHistoryFile,'w') as fpResponse:
         json.dump(jobHistory,fpResponse,
                   default=TapisAPI.encodeDatetimeToJson,
                   indent=3,separators=(',',':'))
         fpResponse.write("\n")

sys.exit(exitStatus)
