#!/bin/sh

if   [ $# -lt 1 ] ; then
   echo usage: $0 instanceToken [outputFile]
   exit 64
elif [ $# -gt 2 ] ; then
   echo usage: $0 instanceToken [outputFile]
   exit 64
fi

instanceToken=$1
outputFile=$2

binDirectory=$(dirname $(readlink -f $0))

remoteJobId=$(${binDirectory}/getUserRemoteJobId.sh ${instanceToken})
exitStatus=$?

if [ ${exitStatus} -eq 0 ] ; then
   python3 ${binDirectory}/getJobHistory.py ${remoteJobId} ${outputFile}
   exitStatus=$?
fi

exit ${exitStatus}
