import sys
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

systemId                        = sys.argv[1]
if len(sys.argv) > 2:
   systemDefinitionResponseFile = sys.argv[2]
   if systemDefinitionResponseFile == '-':
      systemDefinitionResponseFile = sys.stdout
else:
   systemDefinitionResponseFile = None

try:
   systemDefinition = tapisAPI.systems.get(systemId=systemId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if   systemDefinitionResponseFile == sys.stdout:
      json.dump(systemDefinition,sys.stdout,
                default=TapisAPI.encodeDatetimeToJson,
                indent=3,separators=(',',':'))
      sys.stdout.write("\n")
   elif systemDefinitionResponseFile:
      with open(systemDefinitionResponseFile,'w') as fpResponse:
         json.dump(systemDefinition,fpResponse,
                   default=TapisAPI.encodeDatetimeToJson,
                   indent=3,separators=(',',':'))
         fpResponse.write("\n")

sys.exit(exitStatus)
