import sys

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

try:
   clientApps = tapisAPI.apps.list()
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   print("APPS\n")
   print("%-25s %-50s %s" % ("ID","EXECUTION SYSTEM","DESCRIPTION"))
   print("=========================================================================================================")
   for clientApp in clientApps:
      if not clientApp.isPublic:
         print("%-25s %-50s %s" % (clientApp.id,clientApp.executionSystem,clientApp.shortDescription))

sys.exit(exitStatus)
