import sys

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

try:
   clientSystems = tapisAPI.systems.list(public=False)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   print("SYSTEMS\n")
   print("%-10s %-50s %s" % ("TYPE","ID","DESCRIPTION"))
   print("=============================================================================")
   for clientSystem in clientSystems:
      print("%-10s %-50s %s" % (clientSystem.type,clientSystem.id,clientSystem.description))

sys.exit(exitStatus)
