#!/bin/sh
#
# @package      hubzero-submit-distributor
# @file         Scripts/tapis/prestagejobinputs.sh
# @author       Steve Clark <clarks@purdue.edu>
# @copyright    Copyright 2017-2017 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2017-2017 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#
if [ $# -ne 4 ] ; then
   echo usage: $0 jobWorkingDirectory preStageRootDirectory instanceToken inputStagedTimestampFile
   exit 64
fi

jobWorkingDirectory=$1
preStageRootDirectory=$2
instanceToken=$3
inputStagedTimestampFile=$4

if [ ! -d ${preStageRootDirectory} ] ; then
   echo "${preStageRootDirectory} does not exist"
   exit 1
fi

binDirectory=$(dirname $(readlink -f $0))

cd ${jobWorkingDirectory}
exitStatus=$?

if [ ${exitStatus} -eq 0 ] ; then
   localJobIdinstanceId=${inputStagedTimestampFile##*.}
   localJobId=${localJobIdinstanceId%_*}
   instanceId=${localJobIdinstanceId#*_}
   inputTarFile=${localJobId}_${instanceId}_input.tar.gz
   auxiliaryTarFile=${localJobId}_${instanceId}_auxiliary.tar.gz

   mkdir ${preStageRootDirectory}/${instanceToken}
   exitStatus=$?

   if [ ${exitStatus} -eq 0 ] ; then
#     timestampTransferred=$(basename ${inputStagedTimestampFile})
#     sleep 1
#     date "+%s" > ${timestampTransferred}
#     tar cfz ${localJobId}_${instanceId}_timetransferred.tar.gz ${timestampTransferred}
#     rm -f ${timestampTransferred}

      cp -p ${inputTarFile} ${auxiliaryTarFile} \
            ${preStageRootDirectory}/${instanceToken}
      exitStatus=$?

      rm -f ${localJobId}_${instanceId}_timetransferred.tar.gz
   fi
fi

exit ${exitStatus}
