import sys
import json
import traceback

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

jobDefinitionFile            = sys.argv[1]
if len(sys.argv) > 2:
   jobDefinitionResponseFile = sys.argv[2]
   if jobDefinitionResponseFile == '-':
      jobDefinitionResponseFile = sys.stdout
else:
   jobDefinitionResponseFile = None

try:
   with open(jobDefinitionFile,'r') as fpDefinition:
      jobDefinition = json.load(fpDefinition)
except json.decoder.JSONDecodeError as err:
   exitStatus = 1
   sys.stderr.write("JSONDecodeError: %s\n" % (jobDefinitionFile))
except Exception as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write(": %s\n" % (jobDefinitionFile))
else:
   try:
      jobDefinitionResponse = tapisAPI.jobs.submit(body=jobDefinition)
   except HTTPError as err:
      exitStatus = 1
      sys.stderr.write(err.strerror)
      sys.stderr.write("\n")
   except Exception as err:
      exitStatus = 1
      sys.stderr.write(str(err))
      sys.stderr.write("\n")
   else:
      if   jobDefinitionResponseFile == sys.stdout:
         json.dump(jobDefinitionResponse,sys.stdout,
                   default=TapisAPI.encodeDatetimeToJson,
                   indent=3,separators=(',',':'))
         sys.stdout.write("\n")
      elif jobDefinitionResponseFile:
         with open(jobDefinitionResponseFile,'w') as fpResponse: 
            json.dump(jobDefinitionResponse,fpResponse,
                      default=TapisAPI.encodeDatetimeToJson,
                      indent=3,separators=(',',':'))
            fpResponse.write("\n")
   
      print(" jobId: %s" % (jobDefinitionResponse['id']))
      print("status: %s" % (jobDefinitionResponse['lastStatusMessage']))

sys.exit(exitStatus)
