import sys
import json

from TapisAPI import TapisAPI
from TapisAPI import HTTPError

exitStatus = 0

tapisAPI = TapisAPI()

systemDefinitionFile            = sys.argv[1]
if len(sys.argv) > 2:
   systemDefinitionResponseFile = sys.argv[2]
   if systemDefinitionResponseFile == '-':
      systemDefinitionResponseFile = sys.stdout
else:
   systemDefinitionResponseFile = None

with open(systemDefinitionFile,'r') as fpDefinition:
   systemDefinition = json.load(fpDefinition)

systemId = systemDefinition['id']

try:
   systemDefinitionResponse = tapisAPI.systems.update(body=systemDefinition,systemId=systemId)
except HTTPError as err:
   exitStatus = 1
   sys.stderr.write(err.strerror)
   sys.stderr.write("\n")
except Exception as err:
   exitStatus = 1
   sys.stderr.write(str(err))
   sys.stderr.write("\n")
else:
   if   systemDefinitionResponseFile == sys.stdout:
      json.dump(systemDefinitionResponse,sys.stdout,
                default=TapisAPI.encodeDatetimeToJson,
                indent=3,separators=(',',':'))
      sys.stdout.write("\n")
   elif systemDefinitionResponseFile:
      with open(systemDefinitionResponseFile,'w') as fpResponse:
         json.dump(systemDefinitionResponse,fpResponse,
                   default=TapisAPI.encodeDatetimeToJson,
                   indent=3,separators=(',',':'))
         fpResponse.write("\n")

sys.exit(exitStatus)
